# regional information...
passive(language = "english",
        currency = "points")

# general information...
numSessions = 2
numEnvironments = 3
numDeliveries = 12
passengersPerDelivery = 2

# instructions...
instructionsFont = Font("fonts/Verdana.ttf")
instructionsFontSize = 0.05
instructionsFontColor = Color("white")
instructionsJustification = "LEFT"
instructionsTopMargin = 0.05
instructionsLeftMargin = 0.05
instructionsRightMargin = 0.05
if language == "english":
    navigationInstructions = open("text/navigation_instructions.english").read()
    youAreDoneMessage = "You are done.\n\nThank you."
else:
    raise "Unconfigured language", language

# city layout information...
passive(unitScale = 10.0)  # number of VR units in one YC unit
wallHeight = 7.0
wallImage = Image("scenery/wall.png")
wallTexTimes = 2
skyImage = Image("scenery/sky.png")
roadImage = Image("scenery/road.png")
roadTexLen = 10.0
passive(curbHeight = 0.3)
curbImage = Image("scenery/curb.png")
sidewalkImage = Image("scenery/sidewalk.png")
sidewalkTexLen = 6.0
cityBlocks = (3, 3)
numStores = 3
nullBuildings = False
noStoresInAllCorners = True
noStoresNearestNeighbors = True
noStoreFilledRowsOrColumns = True

# city passenger/delivery information...
passengersWaitStoreBoxSize = None  # no passengers around stores  # YC Units
passengersWaitStoreAltitude = 0.0
passengersWaitBuildingBoxSize = 1.87  # YC Units
passengersWaitBuildingAltitude = curbHeight
passengerRadius = 2.2
dropoffMargin = 0.65
samePassengersEachDelivery = False
onePassengerPerBlock = True
onePassengerOutInFront = None
passengerObscureDestination = True
passengerObscureOthers = False  # not implemented yet
passengerObscureNext = False  # not implemented yet
allStoresBeforeRepeat = True

# navigation overlay information...
navigationOverlayFont = Font("fonts/Verdana.ttf")
navigationOverlayFontSize = 0.05
navigationOverlayColor = Color("red")

if currency == "points":
    moneyInitialAmount = 300
    moneyDecrementAmount = 1
    moneyDecrementInterval = 3000
    deliveryPayment = 50
    passive(moneyRepresentation = "%d points")
else:
    raise "Unconfigured currency", currency

if language == "english":
    findPassengerText = "Find a passenger"
    findStoreText = "Find %s"
    moneyText = "%s" % moneyRepresentation
else:
    raise "Unconfigured language", language

# popup information...
popupBackgroundColor = Color("black")
popupTextFont = Font("fonts/Verdana.ttf")
popupTextFontSize = 0.075
popupTextColor = Color("white")
popupJustification = "LEFT"
popupTopMargin = 0.05
popupLeftMargin = 0.05
popupRightMargin = 0.05
popupDismissButton = JoyButton(0, 0) | Key("RETURN")
pauseDuringPopup = True
wrongStoreText = "Welcome to %s."
wrongStoreBackgroundColor = Color(0.0, 0.0, 0.0, 0.345)
wrongStoreTextColor = Color("white")
wrongStoreTextFont = Font("fonts/Verdana.ttf")
wrongStoreTextFontSize = 0.1
wrongStoreJustification = "CENTER"
wrongStoreTopMargin = 0.2
wrongStoreLeftMargin = 0.0
wrongStoreRightMargin = 0.0
pickupText = "\"I will give you %s if you take me to %%%%s.\"\n\nPress the button on the controller to continue." % moneyRepresentation % deliveryPayment
deliveryText = "\"Thank you!  Here are your %s.\"\n\nPlease find another passenger.\n\nPress the button on the controller to continue." % moneyRepresentation % deliveryPayment
deliveryPopupTimeOut = None
pickupPopupTimeOut = None

# navigation control information...
FOV = 60.0  # degrees
eyeHeight = 1.0
avatarRadius = 0.5
navigationMode = "doom"  # "car" or "doom"
fullForwardSpeed = 0.009  # VR Units / millisecond
fullBackwardSpeed = 0.0025
maximumLinearAcceleration = 0.000008
fullTurnSpeed = 0.0009  # doom mode: radians / milliseconds, car mode: radians / VR Unit
maximumWheelSpeed = 0.00009  # only for car mode: radians / (VR Unit * millisecond)
forwardButton = Key("UP")
backwardButton = Key("DOWN")
leftButton = Key("LEFT")
rightButton = Key("RIGHT")
forwardBackwardAxis = JoyAxis(0, 1)
leftRightAxis = JoyAxis(0, 0)
startOrientedAlongRoad = True
minimumDistanceFromFacedWall = unitScale * 3  # only meaningful when startOrientedAlongRoad = True

#break instructions...
breakInstructions = None

# storefront practice information...
SFPMode = None  # None for no SFP, "timedVolbit"  and "untimedVolbit" for the classic forms, or "sternbit" which is not yet implemented
SFPInstructions = None  # None means no instructions ... should be set appropriately for the SFPMode
volbitRepetitions = 5
volbitOnTime = 2000
volbitOffTime = 1000
volbitContinueKey = JoyButton(0, 0) | Key("RETURN")
volbitCaptionColor = Color("white")
volbitCaptionFont = Font("fonts/Verdana.ttf")
volbitCaptionFontSize = 0.05
# TODO: sternbit options

# passenger identity definitions...
passengerIdentities = Pool(PoolDict(name = "Jeff",
                                    image = Image("passengers/passenger1.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "John",
                                    image = Image("passengers/passenger2.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Joe",
                                    image = Image("passengers/passenger3.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Jane",
                                    image = Image("passengers/passenger4.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Jack",
                                    image = Image("passengers/passenger5.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Jerry",
                                    image = Image("passengers/passenger6.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Julia",
                                    image = Image("passengers/passenger7.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Jenny",
                                    image = Image("passengers/passenger8.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    ),
                           PoolDict(name = "Jessica",
                                    image = Image("passengers/passenger9.png"),
                                    width = 1.75,
                                    height = 4.75,
                                    volbitSize = (0.5, 0.72)
                                    )
                           )

# store definitions...
storeVolbitSize = (0.5, 0.5)
stores = Pool(PoolDict(name = "Butcher Shop",
                       image = Image("stores/butcher_shop.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Candle Shop",
                       image = Image("stores/candle_shop.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Costume Party",
                       image = Image("stores/costume_party.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Burger City",
                       image = Image("stores/burger_city.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "The Coffee Store",
                       image = Image("stores/coffee_store.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Cookie Shop",
                       image = Image("stores/cookie_shop.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Family Place",
                       image = Image("stores/family_place.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Flower Patch",
                       image = Image("stores/flower_patch.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Food Market",
                       image = Image("stores/food_market.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Gift Shop",
                       image = Image("stores/gift_shop.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Golden Palace",
                       image = Image("stores/golden_palace.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Homes for Sale",
                       image = Image("stores/homes_sale.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "House of Pizza",
                       image = Image("stores/house_pizza.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Limbo Lounge",
                       image = Image("stores/limbo_lounge.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Mike's Restaurant",
                       image = Image("stores/mikes_restaurant.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Nail Time",
                       image = Image("stores/nail_time.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Pet Care Center",
                       image = Image("stores/pet_care_center.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Photo Center",
                       image = Image("stores/photo_center.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "The Piano Store",
                       image = Image("stores/piano_store.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Travel Shop",
                       image = Image("stores/travel_shop.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       ),
              PoolDict(name = "Video Services",
                       image = Image("stores/video_services.png"),
                       width = 0.7,
                       height = 0.35,
                       volbitSize = storeVolbitSize
                       )
              )

# building definitions...
buildings = Pool(PoolDict(name = "4034",
                          image = Image("buildings/4034.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Adobe Columns",
                          image = Image("buildings/adobe_columns.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Alton Place",
                          image = Image("buildings/altonplace.png"),
                          width = 1.2,
                          height = 0.9
                          ),
                 PoolDict(name = "American Flag",
                          image = Image("buildings/american_flag.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Apartment",
                          image = Image("buildings/apartment.png"),
                          width = 1.3,
                          height = 1.7
                          ),
                 PoolDict(name = "Beach House",
                          image = Image("buildings/beach_house.png"),
                          width = 1.5,
                          height = 1.2
                          ),
                 PoolDict(name = "Berklee Music",
                          image = Image("buildings/berklee_music.png"),
                          width = 1.2,
                          height = 1.7
                          ),
                 PoolDict(name = "Big Red",
                          image = Image("buildings/big_red.png"),
                          width = 1.5,
                          height = 1.4
                          ),
                 PoolDict(name = "Big Tan",
                          image = Image("buildings/big_tan.png"),
                          width = 1.2,
                          height = 1.2
                          ),
                 PoolDict(name = "Blue",
                          image = Image("buildings/blue.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Blueish",
                          image = Image("buildings/blueish.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Brick and Windows",
                          image = Image("buildings/brick_and_windows.png"),
                          width = 1.3,
                          height = 1.3
                          ),
                 PoolDict(name = "Brick Apartment",
                          image = Image("buildings/brick_apartment.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Brick Stripes",
                          image = Image("buildings/brick_stripes.png"),
                          width = 1.5,
                          height = 1.0
                          ),
                 PoolDict(name = "Brick White Top",
                          image = Image("buildings/brick_white_top.png"),
                          width = 1.4,
                          height = 1.5
                          ),
                 PoolDict(name = "Bright White",
                          image = Image("buildings/bright_white.png"),
                          width = 1.7,
                          height = 1.4
                          ),
                 PoolDict(name = "Brown",
                          image = Image("buildings/brown.png"),
                          width = 1.3,
                          height = 1.5
                          ),        
                 PoolDict(name = "Brown Grey Brick",
                          image = Image("buildings/browngrey_brick.png"),
                          width = 1.4,
                          height = 1.5
                          ),
                 PoolDict(name = "Church",
                          image = Image("buildings/church.png"),
                          width = 1.2,
                          height = 1.6
                          ),
                 PoolDict(name = "Coolidge Corner",
                          image = Image("buildings/coolidge_corner.png"),
                          width = 1.2,
                          height = 1.2
                          ),
                 PoolDict(name = "Curtis Center 1",
                          image = Image("buildings/curtis_center_1.png"),
                          width = 1.7,
                          height = 1.4
                          ),              
                 PoolDict(name = "Dirty Brick",
                          image = Image("buildings/dirty_brick.png"),
                          width = 1.5,
                          height = 1.6
                          ),
                 PoolDict(name = "Dirty Concrete",
                          image = Image("buildings/dirty_concrete.png"),
                          width = 1.7,
                          height = 2.0
                          ),
                 PoolDict(name = "Egg Shape",
                          image = Image("buildings/egg_shape.png"),
                          width = 1.3,
                          height = 0.8
                          ),
                 PoolDict(name = "Fans",
                          image = Image("buildings/fans.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Fifteen Windows",
                          image = Image("buildings/fifteen_windows.png"),
                          width = 1.5,
                          height = 1.7
                          ),
                 PoolDict(name = "Fire House",
                          image = Image("buildings/fire_house.png"),
                          width = 1.3,
                          height = 1.3
                          ),
                 PoolDict(name = "Flags",
                          image = Image("buildings/flags.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Fleet",
                          image = Image("buildings/fleet.png"),
                          width = 1.3,
                          height = 0.9
                          ),
                 PoolDict(name = "Flower",
                          image = Image("buildings/flower.png"),
                          width = 1.3,
                          height = 1.7
                          ),
                 PoolDict(name = "Gate",
                          image = Image("buildings/gate.png"),
                          width = 1.3,
                          height = 1.4
                          ),
                 PoolDict(name = "Glass",
                          image = Image("buildings/glass.png"),
                          width = 1.2,
                          height = 1.2
                          ),
                 PoolDict(name = "Grad Edu",
                          image = Image("buildings/grad_edu.png"),
                          width = 1.5,
                          height = 1.7
                          ),
                 PoolDict(name = "Greek Columns",
                          image = Image("buildings/greek_columns.png"),
                          width = 1.2,
                          height = 1.3
                          ),
                 PoolDict(name = "Green Mirror Stripes",
                          image = Image("buildings/green_mirror_stripes.png"),
                          width = 1.3,
                          height = 1.5
                          ),
                 PoolDict(name = "Green Stairs",
                          image = Image("buildings/green_stairs.png"),
                          width = 1.3,
                          height = 1.1
                          ),
                 PoolDict(name = "Greenish",
                          image = Image("buildings/greenish.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Grey",
                          image = Image("buildings/grey.png"),
                          width = 1.6,
                          height = 1.6
                          ),
                 PoolDict(name = "Grey Facade",
                          image = Image("buildings/grey_facade.png"),
                          width = 1.4,
                          height = 2.0
                          ),
                 PoolDict(name = "Grey Triangle",
                          image = Image("buildings/grey_triangle.png"),
                          width = 1.4,
                          height = 1.5
                          ),
                 PoolDict(name = "Hopefully Works Out",
                          image = Image("buildings/hopefully_works_out.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Horiz Mirrors",
                          image = Image("buildings/horiz_mirrors.png"),
                          width = 1.4,
                          height = 1.6
                          ),
                 PoolDict(name = "Hotel 2",
                          image = Image("buildings/hotel_2.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Houston 1",
                          image = Image("buildings/houston_1.png"),
                          width = 1.6,
                          height = 1.4
                          ),
                 PoolDict(name = "House 1",
                          image = Image("buildings/house1.png"),
                          width = 1.2,
                          height = 1.2
                          ),
                 PoolDict(name = "House 2",
                          image = Image("buildings/house2.png"),
                          width = 1.5,
                          height = 1.2
                          ),
                 PoolDict(name = "House 3",
                          image = Image("buildings/house3.png"),
                          width = 1.0,
                          height = 1.2
                          ),
                 PoolDict(name = "House 4",
                          image = Image("buildings/house4.png"),
                          width = 1.2,
                          height = 1.4
                          ),
                 PoolDict(name = "House 5",
                          image = Image("buildings/house5.png"),
                          width = 1.5,
                          height = 1.3
                          ),
                 PoolDict(name = "House 6",
                          image = Image("buildings/house6.png"),
                          width = 1.3,
                          height = 1.4
                          ),
                 PoolDict(name = "House 7",
                          image = Image("buildings/house7.png"),
                          width = 1.3,
                          height = 1.7
                          ),
                 PoolDict(name = "House 8",
                          image = Image("buildings/house8.png"),
                          width = 1.5,
                          height = 1.7
                          ),
                 PoolDict(name = "Limestone",
                          image = Image("buildings/limestone.png"),
                          width = 1.8,
                          height = 2.0
                          ),
                 PoolDict(name = "Little Columns",
                          image = Image("buildings/little_columns.png"),
                          width = 1.9,
                          height = 1.9
                          ),
                 PoolDict(name = "Many Blocks",
                          image = Image("buildings/manyblocks.png"),
                          width = 1.7,
                          height = 1.7
                          ),
                 PoolDict(name = "Mendleton",
                          image = Image("buildings/mendleton.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Mirrored",
                          image = Image("buildings/mirrored.png"),
                          width = 1.3,
                          height = 1.7
                          ),
                 PoolDict(name = "Nine Square Windows",
                          image = Image("buildings/nine_square_windows.png"),
                          width = 1.3,
                          height = 1.5
                          ),
                 PoolDict(name = "Old Brown",
                          image = Image("buildings/old_brown.png"),
                          width = 1.5,
                          height = 1.1
                          ),
                 PoolDict(name = "Orange",
                          image = Image("buildings/orange.png"),
                          width = 1.7,
                          height = 2.0
                          ),
                 PoolDict(name = "Pipes",
                          image = Image("buildings/pipes.png"),
                          width = 1.3,
                          height = 1.7
                          ),
                 PoolDict(name = "Pointy Windows",
                          image = Image("buildings/pointywindows.png"),
                          width = 1.2,
                          height = 1.7
                          ),
                 PoolDict(name = "Post Office",
                          image = Image("buildings/post_office.png"),
                          width = 1.5,
                          height = 1.0
                          ),
                 PoolDict(name = "Pub",
                          image = Image("buildings/pub.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Red and White",
                          image = Image("buildings/red_and_white.png"),
                          width = 1.3,
                          height = 1.3
                          ),
                 PoolDict(name = "Red Brick Bush",
                          image = Image("buildings/red_brick_bush.png"),
                          width = 1.3,
                          height = 1.7
                          ),
                 PoolDict(name = "Red Diamonds",
                          image = Image("buildings/red_diamonds.png"),
                          width = 1.4,
                          height = 1.5
                          ),
                 PoolDict(name = "Red Triangle",
                          image = Image("buildings/red_triangle.png"),
                          width = 1.2,
                          height = 1.5
                          ),
                 PoolDict(name = "Red White",
                          image = Image("buildings/redwhite.png"),
                          width = 1.0,
                          height = 1.4
                          ),
                 PoolDict(name = "Regular",
                          image = Image("buildings/regular.png"),
                          width = 1.6,
                          height = 1.4
                          ),
                 PoolDict(name = "Roman Style",
                          image = Image("buildings/roman_style.png"),
                          width = 1.2,
                          height = 1.4
                          ),
                 PoolDict(name = "Round Brick",
                          image = Image("buildings/round_brick.png"),
                          width = 1.2,
                          height = 1.4
                          ),
                 PoolDict(name = "Royal",
                          image = Image("buildings/royal.png"),
                          width = 1.8,
                          height = 1.5
                          ),
                 PoolDict(name = "Shadows",
                          image = Image("buildings/shadows.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "Six Windows",
                          image = Image("buildings/six_windows.png"),
                          width = 1.2,
                          height = 1.3
                          ),
                 PoolDict(name = "Statues",
                          image = Image("buildings/statues.png"),
                          width = 1.2,
                          height = 1.2
                          ),
                 PoolDict(name = "Steps",
                          image = Image("buildings/steps.png"),
                          width = 1.5,
                          height = 1.7
                          ),
                 PoolDict(name = "Stripe Mirror",
                          image = Image("buildings/stripemirror.png"),
                          width = 1.2,
                          height = 1.7
                          ),
                 PoolDict(name = "Symphony",
                          image = Image("buildings/symphony.png"),
                          width = 1.35,
                          height = 1.4
                          ),
                 PoolDict(name = "Tall Office",
                          image = Image("buildings/tall_office.png"),
                          width = 1.2,
                          height = 1.7
                          ),
                 PoolDict(name = "Tan",
                          image = Image("buildings/tan.png"),
                          width = 1.3,
                          height = 1.5
                          ),
                 PoolDict(name = "Tan Bricks",
                          image = Image("buildings/tan_bricks.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Tree Orange",
                          image = Image("buildings/tree_orange.png"),
                          width = 1.2,
                          height = 1.4
                          ),
                 PoolDict(name = "Triple Threat",
                          image = Image("buildings/triple_threat.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Two Doors Long",
                          image = Image("buildings/two_doors_long.png"),
                          width = 1.0,
                          height = 1.3
                          ),
                 PoolDict(name = "Warehouse",
                          image = Image("buildings/warehouse.png"),
                          width = 1.4,
                          height = 1.6
                          ),
                 PoolDict(name = "Warehouse 2",
                          image = Image("buildings/warehouse2.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Warehouse 3",
                          image = Image("buildings/warehouse3.png"),
                          width = 1.3,
                          height = 1.5
                          ),
                 PoolDict(name = "White",
                          image = Image("buildings/white.png"),
                          width = 1.5,
                          height = 1.5
                          ),
                 PoolDict(name = "White and Black",
                          image = Image("buildings/white_and_black.png"),
                          width = 1.2,
                          height = 1.7
                          ),
                 PoolDict(name = "White and Grey",
                          image = Image("buildings/white_and_grey.png"),
                          width = 1.8,
                          height = 2.2
                          ),
                 PoolDict(name = "White Columns",
                          image = Image("buildings/white_columns.png"),
                          width = 1.2,
                          height = 1.2
                          ),
                 PoolDict(name = "Windows",
                          image = Image("buildings/Windows.png"),
                          width = 1.6,
                          height = 1.5
                          ),
                 PoolDict(name = "Wires",
                          image = Image("buildings/wires.png"),
                          width = 1.5,
                          height = 1.7
                          ),
                 PoolDict(name = "Wood Frames",
                          image = Image("buildings/wood_frames.png"),
                          width = 1.2,
                          height = 1.7
                          ),
                 PoolDict(name = "Wooden Tiles",
                          image = Image("buildings/wooden_tiles.png"),
                          width = 1.2,
                          height = 1.5
                          ), 
                 PoolDict(name = "Yeaa",
                          image = Image("buildings/yeaa.png"),
                          width = 1.4,
                          height = 1.7
                          ),
                 PoolDict(name = "Yellow",
                          image = Image("buildings/yellow.png"),
                          width = 1.3,
                          height = 1.5
                          )
		)
