# regional information...
language = "english"
currency = "points"

# general information...
numSessions = 1
numEnvironments = 3
numDeliveries = 15
passengersPerDelivery = 6
youAreDoneMessage = "Congratulations.\n\nYou have finished this session."

# city layout information...
cityBlocks = (6, 6)
numStores = 5

# create the sequence object to customize the sessions and environments
seq = Sequence(1, 4, 15) # session, environment, delivery

# city passenger/delivery information
seq[0, 1, 0].onePassengerOutInFront = 4.0
seq[0, 2, 0].onePassengerOutInFront = 4.0
seq[0, 3, 0].onePassengerOutInFront = 4.0

# SESSION 1...
seq[0].numEnvironments = 4

# practice...
seq[0, 0].environmentName = "practice"
seq[0, 0].navigationInstructions = open("text/initial_and_practice_instructions.english").read()
seq[0, 0].useLayout =   [["S", "NBNSW", "S"],
                        ["NBNSW", "NBNSW", "NBNSW"],
                        ["S", "NBNSW", "S"]]
seq[0, 0].numDeliveries = 4
seq[0, 0].passengersPerDelivery = 2

# volbit...
seq[0, 1].SFPMode = "timedVolbit"
seq[0, 1].SFPInstructions = open("text/volbit_timed_eeg_instructions.english").read()
seq[0, 1].SFPStoresFrom = ["A", "B"]
#seq[0, 1].passengersFrom = ["A", "B", "Aprime"]

# A...
seq[0, 1].navigationInstructions = open("text/real_game_instructions.english").read()
seq[0, 1].environmentName = "A"
seq[0, 1].excludeStoresFrom = ["practice"]

# volbit...
seq[0, 2].SFPMode = "timedVolbit"
seq[0, 2].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[0, 2].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[0, 2].SFPStoresFrom = ["A", "B"]
#seq[0, 2].passengersFrom = ["A", "B", "Aprime"]

# B...
seq[0, 2].navigationInstructions = open("text/play_again_new_town_instructions.english").read()
seq[0, 2].environmentName = "B"
seq[0, 2].excludeStoresFrom = ["practice", "A"]
seq[0, 2].excludeBuildingsFrom = ["A"]
seq[0, 2].excludeCityGeometriesFrom = ["A"]
seq[0, 2].moneyInitialAmount = "CUMULATIVE"

# volbit...
seq[0, 3].SFPMode = "timedVolbit"
seq[0, 3].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[0, 3].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[0, 3].SFPStoresFrom = ["A", "B"]
#seq[0, 3].passengersFrom = ["A", "B", "Aprime"]

# Aprime...
seq[0, 3].navigationInstructions = open("text/play_again_same_as_first_instructions.english").read()
seq[0, 3].environmentName = "Aprime"
seq[0, 3].useStoresFrom = "A"
seq[0, 3].useBuildingsFrom = "A"
seq[0, 3].useCityGeometryFrom = "A"
seq[0, 3].useStoreGeometryFrom = "A"
seq[0, 3].useBuildingGeometryFrom = "A"
seq[0, 3].moneyInitialAmount = "CUMULATIVE"
