# regional information...
language = "english"
currency = "points"

# general information...
numSessions = 1
numEnvironments = 3
numDeliveries = 20
passengersPerDelivery = 1
youAreDoneMessage = "Congratulations.\n\nYou have finished this session."

# city layout information...
cityBlocks = (5, 5)
numStores = 4

# create the sequence object to customize the sessions and environments
seq = Sequence(1, 3, 20) # session, environment, delivery

# city passenger/delivery information...

seq[0].numEnvironments = 3

# practice...
seq[0, 0].environmentName = "practice"
seq[0, 0].navigationInstructions = open("text/initial_and_practice_instructions.english").read()
seq[0, 0].useLayout =   [["S", "NBNSW", "S"],
                        ["NBNSW", "NBNSW", "NBNSW"],
                        ["S", "NBNSW", "S"]]

seq[0, 0].numDeliveries = 4

# volbit...
seq[0, 1].SFPMode = "timedVolbit"
seq[0, 1].SFPInstructions = open("text/volbit_timed_eeg_instructions.english").read()
seq[0, 1].SFPStoresFrom = ["A", "B"]

# A...
seq[0, 1].navigationInstructions = open("text/real_game_instructions.english").read()
seq[0, 1].environmentName = "A"
seq[0, 1].excludeStoresFrom = ["practice"]

# volbit...
seq[0, 2].SFPMode = "timedVolbit"
seq[0, 2].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[0, 2].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[0, 2].SFPStoresFrom = ["A","B"]

# B...
seq[0, 2].navigationInstructions = open("text/play_again_new_town_instructions.english").read()
seq[0, 2].environmentName = "B"
seq[0, 2].excludeStoresFrom = ["practice","A"]
seq[0, 2].excludeBuildingsFrom = ["A"]
seq[0, 2].excludeCityGeometriesFrom = ["A"]
seq[0, 2].moneyInitialAmount = "CUMULATIVE"
