# regional information...
language = "english"
currency = "points"

# general information...
numSessions = 3
numEnvironments = 3
numDeliveries = 2
passengersPerDelivery = 5
youAreDoneMessage = "Congratulations.\n\nYou have finished this session."

# city layout information...
cityBlocks = (5, 5)
numStores = 4

# create the sequence object to customize the sessions and environments
seq = Sequence(3, 4, 2) # session, environment, delivery

# city passenger/delivery information...
# seq[0, 0, 0].onePassengerOutInFront = 4.0 # Practice
seq[0, 1, 0].onePassengerOutInFront = 4.0 # A
seq[0, 2, 0].onePassengerOutInFront = 4.0 # B
seq[0, 3, 0].onePassengerOutInFront = 4.0 # Aprime
seq[1, 0, 0].onePassengerOutInFront = 4.0 # C
seq[1, 1, 0].onePassengerOutInFront = 4.0 # D
seq[1, 2, 0].onePassengerOutInFront = 4.0 # Cprime
seq[2, 0, 0].onePassengerOutInFront = 4.0 # E
seq[2, 1, 0].onePassengerOutInFront = 4.0 # F
seq[2, 2, 0].onePassengerOutInFront = 4.0 # Eprime

# SESSION 1...
seq[0].numEnvironments = 4

# practice...
seq[0, 0].environmentName = "practice"
seq[0, 0].navigationInstructions = open("text/initial_and_practice_instructions.english").read()
seq[0, 0].useLayout =   [["S", "NBNSW", "S"],
                        ["NBNSW", "NBNSW", "NBNSW"],
                        ["S", "NBNSW", "S"]]
seq[0, 0].numDeliveries = 1
seq[0, 0].passengersPerDelivery = 2

# volbit...
seq[0, 1].SFPMode = "timedVolbit"
seq[0, 1].SFPInstructions = open("text/volbit_timed_eeg_instructions.english").read()
seq[0, 1].SFPStoresFrom = ["A", "B"]
#seq[0, 1].passengersFrom = ["A", "B", "Aprime"]

# A...
seq[0, 1].navigationInstructions = open("text/real_game_instructions.english").read()
seq[0, 1].environmentName = "A"
seq[0, 1].excludeStoresFrom = ["practice"]

# volbit...
seq[0, 2].SFPMode = "timedVolbit"
seq[0, 2].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[0, 2].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[0, 2].SFPStoresFrom = ["A", "B"]
#seq[0, 2].passengersFrom = ["A", "B", "Aprime"]

# B...
seq[0, 2].navigationInstructions = open("text/play_again_new_town_instructions.english").read()
seq[0, 2].environmentName = "B"
seq[0, 2].excludeStoresFrom = ["practice", "A"]
seq[0, 2].excludeBuildingsFrom = ["A"]
seq[0, 2].excludeCityGeometriesFrom = ["A"]
seq[0, 2].moneyInitialAmount = "CUMULATIVE"

# volbit...
seq[0, 3].SFPMode = "timedVolbit"
seq[0, 3].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[0, 3].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[0, 3].SFPStoresFrom = ["A", "B"]
#seq[0, 3].passengersFrom = ["A", "B", "Aprime"]

# Aprime...
seq[0, 3].navigationInstructions = open("text/play_again_same_as_first_instructions.english").read()
seq[0, 3].environmentName = "Aprime"
seq[0, 3].useStoresFrom = "A"
seq[0, 3].useBuildingsFrom = "A"
seq[0, 3].useCityGeometryFrom = "A"
seq[0, 3].useStoreGeometryFrom = "A"
seq[0, 3].useBuildingGeometryFrom = "A"
seq[0, 3].moneyInitialAmount = "CUMULATIVE"

# SESSION 2...

# volbit...
seq[1, 0].SFPMode = "timedVolbit"
seq[1, 0].SFPInstructions = open("text/play_again_review_and_volbit_timed_eeg_instructions.english").read()
seq[1, 0].SFPStoresFrom = ["C", "D"]
#seq[1, 0].passengersFrom = ["C", "D", "Cprime"]

# C...
seq[1, 0].navigationInstructions = open("text/real_game_instructions.english").read()
seq[1, 0].environmentName = "C"

# volbit...
seq[1, 1].SFPMode = "timedVolbit"
seq[1, 1].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[1, 1].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[1, 1].SFPStoresFrom = ["C", "D"]
#seq[1, 1].passengersFrom = ["C", "D", "Cprime"]

# D...
seq[1, 1].navigationInstructions = open("text/play_again_new_town_instructions.english").read()
seq[1, 1].environmentName = "D"
seq[1, 1].excludeStoresFrom = ["C"]
seq[1, 1].excludeBuildingsFrom = ["C"]
seq[1, 1].excludeCityGeometriesFrom = ["C"]
seq[1, 1].moneyInitialAmount = "CUMULATIVE"

# volbit...
seq[1, 2].SFPMode = "timedVolbit"
seq[1, 2].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[1, 2].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[1, 2].SFPStoresFrom = ["C", "D"]
#seq[1, 2].passengersFrom = ["C", "D", "Cprime"]

# Cprime...
seq[1, 2].navigationInstructions = open("text/play_again_same_as_first_instructions.english").read()
seq[1, 2].environmentName = "Cprime"
seq[1, 2].useStoresFrom = "C"
seq[1, 2].useBuildingsFrom = "C"
seq[1, 2].useCityGeometryFrom = "C"
seq[1, 2].useStoreGeometryFrom = "C"
seq[1, 2].useBuildingGeometryFrom = "C"
seq[1, 2].moneyInitialAmount = "CUMULATIVE"

# SESSION 3...

# volbit...
seq[2, 0].SFPMode = "timedVolbit"
seq[2, 0].SFPInstructions = open("text/play_again_review_and_volbit_timed_eeg_instructions.english").read()
seq[2, 0].SFPStoresFrom = ["E", "F"]
#seq[2, 0].passengersFrom = ["E", "F", "Eprime"]

# E...
seq[2, 0].navigationInstructions = open("text/real_game_instructions.english").read()
seq[2, 0].environmentName = "E"

# volbit...
seq[2, 1].SFPMode = "timedVolbit"
seq[2, 1].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[2, 1].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[2, 1].SFPStoresFrom = ["E", "F"]
#seq[2, 1].passengersFrom = ["E", "F", "Eprime"]

# F...
seq[2, 1].navigationInstructions = open("text/play_again_new_town_instructions.english").read()
seq[2, 1].environmentName = "F"
seq[2, 1].excludeStoresFrom = ["E"]
seq[2, 1].excludeBuildingsFrom = ["E"]
seq[2, 1].excludeCityGeometriesFrom = ["E"]
seq[2, 1].moneyInitialAmount = "CUMULATIVE"

# volbit...
seq[2, 2].SFPMode = "timedVolbit"
seq[2, 2].breakInstructions = open("text/congrats_and_break_instructions.english").read()
seq[2, 2].SFPInstructions = open("text/volbit_timed_eeg_additional_instructions.english").read()
seq[2, 2].SFPStoresFrom = ["E", "F"]
#seq[2, 2].passengersFrom = ["E", "F", "Eprime"]

# Eprime...
seq[2, 2].navigationInstructions = open("text/play_again_same_as_first_instructions.english").read()
seq[2, 2].environmentName = "Eprime"
seq[2, 2].useStoresFrom = "E"
seq[2, 2].useBuildingsFrom = "E"
seq[2, 2].useCityGeometryFrom = "E"
seq[2, 2].useStoreGeometryFrom = "E"
seq[2, 2].useBuildingGeometryFrom = "E"
seq[2, 2].moneyInitialAmount = "CUMULATIVE"
