# regional information...
language = "english"
currency = "points"

# general information...
numSessions = 3
numEnvironments = 3
numDeliveries = 12
passengersPerDelivery = 2

# create the sequence object to customize the sessions and environments
seq = Sequence(3, 4, 12) # session, environment, delivery


# SESSION 1...
seq[0].numEnvironments = 4

# practice...
seq[0, 0].environmentName = "practice"
seq[0, 0].navigationInstructions = open("text/practice_instructions.english").read()
seq[0, 0].nullBuildings = True
seq[0, 0].numDeliveries = 3

# volbit...
seq[0, 1].SFPMode = "timedVolbit"
seq[0, 1].SFPInstructions = open("text/volbit_timed_instructions.english").read()
seq[0, 1].SFPStoresFrom = ["A", "B"]
#seq[0, 1].passengersFrom = ["A", "B", "Aprime"]

# A...
seq[0, 1].environmentName = "A"
seq[0, 1].excludeStoresFrom = ["practice"]

# B...
seq[0, 2].environmentName = "B"
seq[0, 2].excludeStoresFrom = ["practice", "A"]
seq[0, 2].excludeBuildingsFrom = ["A"]
seq[0, 2].excludeCityGeometriesFrom = ["A"]
seq[0, 2].moneyInitialAmount = "CUMULATIVE"

# Aprime...
seq[0, 3].environmentName = "Aprime"
seq[0, 3].useStoresFrom = "A"
seq[0, 3].useBuildingsFrom = "A"
seq[0, 3].useCityGeometryFrom = "A"
seq[0, 3].useStoreGeometryFrom = "A"
seq[0, 3].useBuildingGeometryFrom = "A"
seq[0, 3].moneyInitialAmount = "CUMULATIVE"


# SESSION 2...

# volbit...
seq[1, 0].SFPMode = "timedVolbit"
seq[1, 0].SFPInstructions = open("text/volbit_timed_instructions.english").read()
seq[1, 0].SFPStoresFrom = ["C", "D"]

# C...
seq[1, 0].environmentName = "C"
seq[1, 0].excludeStoresFrom = ["practice", "A", "B"]
seq[1, 0].excludeBuildingsFrom = ["A", "B"]

# D...
seq[1, 1].environmentName = "D"
seq[1, 1].excludeStoresFrom = ["practice", "A", "B", "C"]
seq[1, 1].excludeBuildingsFrom = ["A", "B", "C"]
seq[1, 1].excludeCityGeometriesFrom = ["C"]
seq[1, 1].moneyInitialAmount = "CUMULATIVE"

# Cprime...
seq[1, 2].environmentName = "Cprime"
seq[1, 2].useStoresFrom = "C"
seq[1, 2].useBuildingsFrom = "C"
seq[1, 2].useCityGeometryFrom = "C"
seq[1, 2].useStoreGeometryFrom = "C"
seq[1, 2].useBuildingGeometryFrom = "C"
seq[1, 2].moneyInitialAmount = "CUMULATIVE"


# SESSION 3...

# volbit...
seq[2, 0].SFPMode = "timedVolbit"
seq[2, 0].SFPInstructions = open("text/volbit_timed_instructions.english").read()
seq[2, 0].SFPStoresFrom = ["E", "F"]

# E...
seq[2, 0].environmentName = "E"
seq[2, 0].excludeStoresFrom = ["practice", "A", "B", "C", "D"]
seq[2, 0].excludeBuildingsFrom = ["A", "B", "C", "D"]

# F...
seq[2, 1].environmentName = "F"
seq[2, 1].excludeStoresFrom = ["practice", "A", "B", "C", "D", "E"]
seq[2, 1].excludeBuildingsFrom = ["A", "B", "C", "D", "E"]
seq[2, 1].excludeCityGeometriesFrom = ["E"]
seq[2, 1].moneyInitialAmount = "CUMULATIVE"

# Eprime...
seq[2, 2].environmentName = "Eprime"
seq[2, 2].useStoresFrom = "E"
seq[2, 2].useBuildingsFrom = "E"
seq[2, 2].useCityGeometryFrom = "E"
seq[2, 2].useStoreGeometryFrom = "E"
seq[2, 2].useBuildingGeometryFrom = "E"
seq[2, 2].moneyInitialAmount = "CUMULATIVE"
